AOMedia AV1 Codec: inter_modes_info Struct Reference

| AOMedia AV1 Codec

Data Fields
inter_modes_info Struct Reference

Struct used to hold inter mode data for fast tx search. More...

`#include <encoder.h>`

## Data Fields
int | num
MB_MODE_INFO | mbmi_arr [MAX_INTER_MODES]
int | mode_rate_arr [MAX_INTER_MODES]
int64_t | sse_arr [MAX_INTER_MODES]
int64_t | est_rd_arr [MAX_INTER_MODES]
RdIdxPair | rd_idx_pair_arr [MAX_INTER_MODES]
RD_STATS | rd_cost_arr [MAX_INTER_MODES]
RD_STATS | rd_cost_y_arr [MAX_INTER_MODES]
RD_STATS | rd_cost_uv_arr [MAX_INTER_MODES]

## Detailed Description

Struct used to hold inter mode data for fast tx search.

This struct is used to perform a full transform search only on winning candidates searched with an estimate for transform coding RD.

## Field Documentation

## ◆ num

int inter_modes_info::num

The number of inter modes for which data was stored in each of the following arrays.

Referenced by av1_rd_pick_inter_mode().

## ◆ mbmi_arr

MB_MODE_INFO inter_modes_info::mbmi_arr[MAX_INTER_MODES]

Mode info struct for each of the candidate modes.

## ◆ mode_rate_arr

int inter_modes_info::mode_rate_arr[MAX_INTER_MODES]

The rate for each of the candidate modes.

## ◆ sse_arr

int64_t inter_modes_info::sse_arr[MAX_INTER_MODES]

The sse of the predictor for each of the candidate modes.

## ◆ est_rd_arr

int64_t inter_modes_info::est_rd_arr[MAX_INTER_MODES]

The estimated rd of the predictor for each of the candidate modes.

## ◆ rd_idx_pair_arr

RdIdxPair inter_modes_info::rd_idx_pair_arr[MAX_INTER_MODES]

The rate and mode index for each of the candidate modes.

## ◆ rd_cost_arr

RD_STATS inter_modes_info::rd_cost_arr[MAX_INTER_MODES]

The full rd stats for each of the candidate modes.

## ◆ rd_cost_y_arr

RD_STATS inter_modes_info::rd_cost_y_arr[MAX_INTER_MODES]

The full rd stats of luma only for each of the candidate modes.

## ◆ rd_cost_uv_arr

RD_STATS inter_modes_info::rd_cost_uv_arr[MAX_INTER_MODES]

The full rd stats of chroma only for each of the candidate modes.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h